Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class TeletexString.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString.Template
            |
            +--org.mozilla.jss.asn1.TeletexString.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  TeletexString

public static class TeletexString.Template
extends CharacterString.Template
implements ASN1Template

Constructor Summary
`TeletexString.Template()`

Method Summary
`protected CharacterString` | `generateInstance(char[] bytes)` Must be overridden to create an instance of the subclass given a char array.
`protected org.mozilla.jss.asn1.CharConverter` | `getCharConverter()` Must be overridden to return the correct character converter for the subclass.
`protected Tag` | `getTag()` Must be overridden to return the tag for the subclass.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.
`protected java.lang.String` | `typeName()` Must be overridden to provide the name of the subclass, for including into error messages.

Methods inherited from class org.mozilla.jss.asn1.CharacterString.Template
`decode, decode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Template
`decode, decode`

Constructor Detail

### TeletexString.Template

    public TeletexString.Template()

Method Detail

### getTag

    protected Tag getTag()

  Description copied from class: `CharacterString.Template`
  Must be overridden to return the tag for the subclass.

  Specified by:
    `getTag` in class `CharacterString.Template`

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.

  Specified by:
    `tagMatch` in interface `ASN1Template`
  Specified by:
    `tagMatch` in class `CharacterString.Template`

### getCharConverter

    protected org.mozilla.jss.asn1.CharConverter getCharConverter()

  Description copied from class: `CharacterString.Template`
  Must be overridden to return the correct character converter for the subclass.

  Specified by:
    `getCharConverter` in class `CharacterString.Template`

### generateInstance

    protected CharacterString generateInstance(char[] bytes)
                                        throws java.io.CharConversionException

  Description copied from class: `CharacterString.Template`
  Must be overridden to create an instance of the subclass given a char array.

  Specified by:
    `generateInstance` in class `CharacterString.Template`
    `java.io.CharConversionException`

### typeName

    protected java.lang.String typeName()

  Description copied from class: `CharacterString.Template`
  Must be overridden to provide the name of the subclass, for including into error messages.

  Specified by:
    `typeName` in class `CharacterString.Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD